// ApiView.h : interface of the CApiBrowserView class
//
/////////////////////////////////////////////////////////////////////////////

class CApiBrowserView : public CListView
{
protected: // create from serialization only
	CApiBrowserView();
	DECLARE_DYNCREATE(CApiBrowserView)

// Attributes
public:
	CApiBrowserDoc* GetDocument();
	int m_nSortOrder;

// Operations
public:
	void ResetContent();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApiBrowserView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CApiBrowserView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	int m_nLastItem;
	CString m_strItem;
	LPTSTR AddPool(CString* pstr);
	CString m_strCPool[3];
	LPTSTR m_pstrPool[3];
	int m_nNextFree;

// Generated message map functions
protected:
	//{{AFX_MSG(CApiBrowserView)
	afx_msg void OnGetdispinfo(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnColumnClick(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ApiBrowView.cpp
inline CApiBrowserDoc* CApiBrowserView::GetDocument()
   { return (CApiBrowserDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
